rm(list=ls()) ; graphics.off() ; gc()

#Directory information
setwd("~/Documents/ETCCDI_eobs/")
OUTPUTS <- "OUTPUTS/"

#Useful information
calendario <- seq(as.Date("1950-01-01"),as.Date("2021-12-31"),by="day")
fechas <- calendario[format(calendario,"%m-%d") != "02-29"]

load("../WardCluster_Dendrogram_D2_50km.Rdata")
k=5
vector_cluster <- cutree(ward_clustering,k)[which(format(calendario,"%Y")%in%c(1950:2021))]

#Mean length and specific thresholds
reclass <- vector_cluster #vector aparte 
runs <- rle(reclass)

longitud_periodos <- list() ; longitud_periodos_mean <- NA ; longitud_periodos_max <- NA

for(cp in 1:k){
  longitud_periodos[[cp]] <- runs$lengths[runs$values==cp & runs$lengths >=1] 
  longitud_periodos_mean[cp] <- mean(longitud_periodos[[cp]])
  longitud_periodos_max[cp] <- max(longitud_periodos[[cp]])
}

#Plotting mean and max peristence
plot(longitud_periodos_max,ylim=c(0,60),xlab="CP",ylab="Number of days",
     main="CPs persistence D2 k1 (k=5)")
points(longitud_periodos_mean,col="blue")

#Plotting temporal evolution of CPs spells
plot(longitud_periodos[[3]],type="l",main="CP3",xlab="Time (not continuous)",ylab="Number of days")
plot(longitud_periodos[[4]],type="l",main="CP4",xlab="Time (not continuous)",ylab="Number of days")
